<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Inner-join.aspx.vb" Inherits="Innerjoin" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Inner join</title>
</head>
<body>
<form id="form1" runat="server">
<h1>SELECT statements with inner joins</h1>
When the user have entered an enddate and clicked the button we select data to repeaters by using inner joins to
combine data from several tables.<br />
    <br />
    Choose enddate for journal:<asp:TextBox ID="EndDateJournal" CssClass="textbox" runat="server"></asp:TextBox>
    <asp:Button ID="BtnCreateJournal" CausesValidation="true" ValidationGroup="PrintReport" CssClass="button" runat="server" Text="Create journal" /><br />
    <asp:RequiredFieldValidator ID="EndDateValidator" runat="server" ControlToValidate="EndDateJournal"
    Display="Dynamic" ErrorMessage="* Enddate must be entered" Width="216px" ValidationGroup="PrintReport">* Enddate must be entered</asp:RequiredFieldValidator>
    <asp:CompareValidator ID="DateCheck" runat="server" ControlToValidate="EndDateJournal"
    Display="Dynamic" ErrorMessage="* Date must be entered as yyyy-mm-dd" Operator="DataTypeCheck" Type="Date" ValueToCompare="yyyy-MM-dd" EnableTheming="True" ValidationGroup="PrintReport" SetFocusOnError="True"></asp:CompareValidator>
    <br />
    <table border="0" width="1024px" cellpadding="0" cellspacing="0" style="border: solid 1px silver">
    <asp:Repeater ID="JournalRepeater" runat="server">
    <HeaderTemplate>
                <tr class="menu" style="height:20px">
                <th>Date</th>
                <th>Object</th>
                <th>Name</th>
                <th>Proj.</th>
                <th>Pu.</th>
                <th>Cash</th>
                <th>Purchase</th>
                <th style="text-align:right">Number</th>
                <th style="text-align:right">Purch. price</th>
                </tr>
    </HeaderTemplate>
        <ItemTemplate>
                <tr>
                    <td><asp:Literal ID="DateLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Date", "{0:yyyy-MM-dd}")%>'></asp:Literal></td>
                    <td><asp:Literal ID="FinOwnIDLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "FinOwnID")%>'></asp:Literal></td>
                    <td><asp:Literal ID="FinNameLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "FinName")%>'></asp:Literal></td>
                    <td><asp:Literal ID="ProjectLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Project")%>'></asp:Literal></td>
                    <td><asp:Literal ID="ResultUnitLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ResultUnit")%>'></asp:Literal></td>
                    <td><asp:Literal ID="CashAccountLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "CashAccount")%>'></asp:Literal></td>
                    <td><asp:Literal ID="BuyAccountLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "BuyAccount")%>'></asp:Literal></td>
                    <td style="text-align:right"><asp:Literal ID="AntalLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Antal", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                    <td style="text-align:right"><asp:Literal ID="ValueLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Value", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                </tr>
        </ItemTemplate>
    </asp:Repeater>
    </table>
    <br />
    <table border="0" width="704px" cellpadding="0" cellspacing="0" style="border: solid 1px silver">
    <asp:Repeater ID="AccountCashRepeater" runat="server">
        <HeaderTemplate>
                <tr class="menu" style="height:20px">
                <th>Account</th>
                <th>Project</th>
                <th>Profit unit</th>
                <th style="text-align:right">Debet</th>
                <th style="text-align:right">Credit</th>
                </tr>
        </HeaderTemplate>
        <ItemTemplate>
                <tr>
                <td><asp:Literal ID="LikvidKontoLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "CashAccount")%>'></asp:Literal></td>
                <td><asp:Literal ID="ProjektLiteral1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Project")%>'></asp:Literal></td>
                <td><asp:Literal ID="ResultatenhetLiteral1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ResultUnit")%>'></asp:Literal></td>
                <td style="text-align:right"><asp:Literal ID="DebetLiteral1" runat="server" Text=" "></asp:Literal></td>
                <td style="text-align:right"><asp:Literal ID="KreditLiteral1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Kredit", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                </tr>
        </ItemTemplate>
    </asp:Repeater>
    <asp:Repeater ID="AccountBuyRepeater" runat="server">
        <ItemTemplate>
                <tr>
                <td><asp:Literal ID="InkopKontoLiteral" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "BuyAccount")%>'></asp:Literal></td>
                <td><asp:Literal ID="ProjektLiteral2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Project")%>'></asp:Literal></td>
                <td><asp:Literal ID="ResultatenhetLiteral2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ResultUnit")%>'></asp:Literal></td>
                <td style="text-align:right"><asp:Literal ID="DebetLiteral2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Debet", "{0:# ### ### ##0.00}")%>'></asp:Literal></td>
                <td style="text-align:right"><asp:Literal ID="KreditLiteral2" runat="server" Text=" "></asp:Literal></td>
                </tr>
       </ItemTemplate>
    </asp:Repeater>
                <tr id="Sum" runat="server" visible="false">
                <td style="font-weight:bold;">Sum:</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td style="text-align:right; font-weight:bold"><asp:Literal ID="DebetLabel" runat="server"></asp:Literal></td>
                <td style="text-align:right; font-weight:bold"><asp:Literal ID="KreditLabel" runat="server"></asp:Literal></td>
                </tr>
            </table>
            <br />
    <br />
    <asp:HiddenField ID="HiddenYearID" runat="server" />
    <asp:HiddenField ID="HiddenCompanyName" runat="server" />
</form>
</body>
</html>

